You are not logged in.

#4801 2013-02-16 12:22:05

CyberNhull
Member
Registered: 2013-01-27
Posts: 68

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
CyberNhull wrote:
killyou wrote:

Does anyone know why every game is starting with black screen? I have to press alt+esc every time a game is loaded to see the screen. This happens with both Wine games and native linux games. I can't even play quakelive, because I can't see the screen (alt+esc is not working in this case. Does anyone have an idea what is going on?

I'm using Radeon HD5730 and catalyst 13-1-1 drivers from community.

The answer it seems to be OpenGL ES 2.0...but i think that only affects legacy drivers...i have a similiar problem, simply i can see the screen but with a LOT of flickering xD

Did you try to disable kwin compositing ie. with Alt + Shift + F12 ?

Oops i've forgot to mention that on my previous post..yeah i have tried that and that fix the problem altho we lose all the effects xD..i was looking for a solution that would not deprive myself of that xD (if it is possible for now), thanks for the reply by the way


If it does not kill you....It will make you smarter

Offline

#4802 2013-02-18 23:34:01

dragonfi
Member
Registered: 2010-06-11
Posts: 12

Re: The AMD/ATI Bar & Grill

Hi,

I'm not sure if this is just extrenous information, but it took me some time figure out the problem:

Be careful when you switch from the packages in the [catalyst] repo to the ones from [community]. Especially, since there is no separate catalyst package in [community] to shadow it, and the mismatching driver versions will cause the X server to segfault.

Safest bet would be disabling the [catalyst] repo in pacman.conf and making sure that the catalyst package is removed correctly before you reboot your computer.

Last edited by dragonfi (2013-02-18 23:34:55)

Offline

#4803 2013-02-19 07:24:11

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

Catalyst 13.2 Beta 6 For Linux
was released, atm i know no details, will try to update [catalyst] repo later today.


dragonfi wrote:

Hi,

I'm not sure if this is just extrenous information, but it took me some time figure out the problem:

Be careful when you switch from the packages in the [catalyst] repo to the ones from [community]. Especially, since there is no separate catalyst package in [community] to shadow it, and the mismatching driver versions will cause the X server to segfault.

Safest bet would be disabling the [catalyst] repo in pacman.conf and making sure that the catalyst package is removed correctly before you reboot your computer.

Guess it would be the best if [community]'s catalyst-dkms would conflict= with and provide= 'catalyst', i will propose it to lordheavy via email

Offline

#4804 2013-02-19 14:11:10

brenosabino
Member
Registered: 2013-02-19
Posts: 2

Re: The AMD/ATI Bar & Grill

I'm trying to install catalyst drivers on my laptop that has both a hd6370m and a hd4200.

From what i searched the only driver i could use would be the "catalyst-hd234k-12.4" from vi0l0's repo.
I had to downgrade the xorg to 1.11 so i added
[xorg111]
Server = http://catalyst.wirephire.com/repo/xorg111/$arch
to the top of my pacman.conf repository list.

But now when I'm installing the drivers with pacman -S catalyst catalyst-utils i get an error that it depends on "linux<3.6" and my current kernel is "3.7.8-1-ARCH".
Is there anyway I can install this driver on this kernel, if not how do I downgrade?
Also do I need to install anything else for the PowerXpress support?

Sorry for all the noob questions tongue this laptop dual graphics setup is a pain in the ass to setup properly even on ubuntu (which i switched from).
On ubuntu I was having tearing issues on videos, low battery life and I dont like the unity interface and its low performance in general... So I decided to try arch...

Thanks guys, specially Vi0L0 for the great support to the community smile

Offline

#4805 2013-02-19 14:46:39

CyberNhull
Member
Registered: 2013-01-27
Posts: 68

Re: The AMD/ATI Bar & Grill

dragonfi wrote:

Hi,

I'm not sure if this is just extrenous information, but it took me some time figure out the problem:

Be careful when you switch from the packages in the [catalyst] repo to the ones from [community]. Especially, since there is no separate catalyst package in [community] to shadow it, and the mismatching driver versions will cause the X server to segfault.

Safest bet would be disabling the [catalyst] repo in pacman.conf and making sure that the catalyst package is removed correctly before you reboot your computer.

I use the legacy drivers so any other version that is not the legacy ones would not let me boot my system...at least with the graphical enviroment xD. Thanks for the help tho ^^


If it does not kill you....It will make you smarter

Offline

#4806 2013-02-19 14:57:56

CyberNhull
Member
Registered: 2013-01-27
Posts: 68

Re: The AMD/ATI Bar & Grill

brenosabino wrote:

I'm trying to install catalyst drivers on my laptop that has both a hd6370m and a hd4200.

From what i searched the only driver i could use would be the "catalyst-hd234k-12.4" from vi0l0's repo.
I had to downgrade the xorg to 1.11 so i added
[xorg111]
Server = http://catalyst.wirephire.com/repo/xorg111/$arch
to the top of my pacman.conf repository list.

But now when I'm installing the drivers with pacman -S catalyst catalyst-utils i get an error that it depends on "linux<3.6" and my current kernel is "3.7.8-1-ARCH".
Is there anyway I can install this driver on this kernel, if not how do I downgrade?
Also do I need to install anything else for the PowerXpress support?

Sorry for all the noob questions tongue this laptop dual graphics setup is a pain in the ass to setup properly even on ubuntu (which i switched from).
On ubuntu I was having tearing issues on videos, low battery life and I dont like the unity interface and its low performance in general... So I decided to try arch...

Thanks guys, specially Vi0L0 for the great support to the community smile

I don't know how two cards work on this matter...your hd6370 should be capable of running the normal catalyst drivers..but the other one should only be capable of use legacy drivers...for the legacy drivers you have to downgrade xorg..you can find all the instructions here:
https://wiki.archlinux.org/index.php/AM … repository
and this is the link for the xorg repositories:
https://wiki.archlinux.org/index.php/AM … positories

But has I have said i don't really know how you must do these things with your setup so if you are sure you can only use the legacy drivers (catalyst-hd234k repo) follow that link and follow the instructions..hope that helps ^^


If it does not kill you....It will make you smarter

Offline

#4807 2013-02-19 15:01:36

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

brenosabino wrote:

I'm trying to install catalyst drivers on my laptop that has both a hd6370m and a hd4200.

From what i searched the only driver i could use would be the "catalyst-hd234k-12.4" from vi0l0's repo.
I had to downgrade the xorg to 1.11 so i added
[xorg111]
Server = http://catalyst.wirephire.com/repo/xorg111/$arch
to the top of my pacman.conf repository list.

But now when I'm installing the drivers with pacman -S catalyst catalyst-utils i get an error that it depends on "linux<3.6" and my current kernel is "3.7.8-1-ARCH".
Is there anyway I can install this driver on this kernel, if not how do I downgrade?
Also do I need to install anything else for the PowerXpress support?

Sorry for all the noob questions tongue this laptop dual graphics setup is a pain in the ass to setup properly even on ubuntu (which i switched from).
On ubuntu I was having tearing issues on videos, low battery life and I dont like the unity interface and its low performance in general... So I decided to try arch...

Thanks guys, specially Vi0L0 for the great support to the community smile

Hah, i thought that no one is using 12.4 repo atm...
Ok, i will try to update it later today.

Offline

#4808 2013-02-19 15:12:34

Ztjuh
Member
Registered: 2011-05-30
Posts: 40

Re: The AMD/ATI Bar & Grill

@Vi0L0 Is it right I have to add these packages to pacman.conf when using xorg 1.12 and catalyst-hd234k?

IgnorePkg   = xorg-server xf86-input-evdev xf86-input-keyboard xf86-input-mouse

Otherwise I get errors during pacman -Syu

Offline

#4809 2013-02-19 17:03:02

IVIonty
Member
Registered: 2013-02-19
Posts: 23

Re: The AMD/ATI Bar & Grill

Hi guys,
I've a HP G6 2226sl with Radeon HD 7640G/7670M gpu APU A8/GPU muxless system.

With Linux 3.7.6-1, catalyst-dkms 13.1-1 and catalyst-utils 13.1-1 if I select high performance gpu (7670M) with aticonfig --px-dgpu all works fine, but if I switch to powersave gpu (7640G) with aticonfig --px-igpu I got a kernel panic every shutdown/reboot with an error of not syncing. KMS seems to be not related to this, nomodeset doesn't affect the issue. Initial setup made with aticonfig --initial -f command.

Anyone have seen something similar?

PS: I founded a very similar issue there http://forums.opensuse.org/english/get- … river.html even if it's related to an Intel/AMD hybrid system.


_______________________________________________________________________
- One may not reach the dawn save by the path of the night -
Kahlil Gibran

Offline

#4810 2013-02-19 19:26:14

Radioactiveman
Member
From: Germany
Registered: 2010-05-13
Posts: 375

Re: The AMD/ATI Bar & Grill

Ztjuh wrote:

Is it right I have to add these packages to pacman.conf when using xorg 1.12 and catalyst-hd234k?

IgnorePkg   = xorg-server xf86-input-evdev xf86-input-keyboard xf86-input-mouse

https://wiki.archlinux.org/index.php/Ca … positories
"If you want to use the backported repositories, you have to edit /etc/pacman.conf and add the information of the repository above all other repositories, even above your Catalyst repository, should you use one."

Offline

#4811 2013-02-19 19:57:56

Juan
Member
Registered: 2011-12-10
Posts: 9

Re: The AMD/ATI Bar & Grill

I've been having crashes on vlc with gpu acceleration enabled; I think it's happened after a vlc update but I can't say for sure. Using catalyst and xvba-video from the catalyst repo.

Getting this repeated over and over on the output until it segfaults:

[0x7faf48c02948] avcodec decoder: Using VA API version 0.33 for hardware decoding.
libva info: VA-API version 0.33.0
libva info: User requested driver 'xvba'
libva info: Trying to open /usr/lib/dri//xvba_drv_video.so
libva info: Found init function __vaDriverInit_0_32
libva info: va_openDriver() returns 0
xvba_video: XVBA_GetSurface(): status 2

I just tried with xvba-video-open from community (still catalyst from the repo) with the same results.

Edit: https://bugs.archlinux.org/task/33936

Last edited by Juan (2013-02-19 20:00:03)

Offline

#4812 2013-02-19 21:08:46

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

13.2 beta 6 hit catalyst-test@AUR and [catalyst] repo
I don't see changes except that steam's big screen has been fixed, i still couldn't run tf2 (must be something with my system) but serious sam 3 works same as with beta 3 - so laggy on ultra (30-70fps).
It's kinda stable, tough.
edit: seems to work snappier on kde 4.10


@brenosabino:
i updated [catalyst-hd234k-12.4], even catalyst package, but please test and install catalyst-hook (or catalyst-generator) instead and if it will work - use it (if it's not working report it to me).
I would rather like not to update such an old repo with every kernel update and catalyst-hook should work with 3.7 and 3.8 kernels just fine.
Edit: As for powerXpress there are catalyst-utils-pxp and lib32-catalyst-utils-pxp inside this repo, those weren't updated for a long time though, should got problems with current libgl... I have no more time today so i will probably update them tomorrow. So please wait peacefully, meanwhile you can read some wiki note about pxp: https://wiki.archlinux.org/index.php/AM … ss_support
Edit2: on the other hand you don't have intel gpu, just the two gpu from amd, it's possible that you don't actually need all this switching between libraries, check out if normal catalyst-utils will work.

Last edited by Vi0L0 (2013-02-19 22:14:30)

Offline

#4813 2013-02-20 00:13:08

brenosabino
Member
Registered: 2013-02-19
Posts: 2

Re: The AMD/ATI Bar & Grill

@brenosabino:
i updated [catalyst-hd234k-12.4], even catalyst package, but please test and install catalyst-hook (or catalyst-generator) instead and if it will work - use it (if it's not working report it to me).
I would rather like not to update such an old repo with every kernel update and catalyst-hook should work with 3.7 and 3.8 kernels just fine.
Edit: As for powerXpress there are catalyst-utils-pxp and lib32-catalyst-utils-pxp inside this repo, those weren't updated for a long time though, should got problems with current libgl... I have no more time today so i will probably update them tomorrow. So please wait peacefully, meanwhile you can read some wiki note about pxp: https://wiki.archlinux.org/index.php/AM … ss_support
Edit2: on the other hand you don't have intel gpu, just the two gpu from amd, it's possible that you don't actually need all this switching between libraries, check out if normal catalyst-utils will work.

catalyst-hook and catalyst-generator give me an error about absent kernel header files in directory "/3.7.8-1-ARCH/build".
I'm going to try installing the normal package now.

edit: It didn't work sad after using startx it gives me error about no usable screens or something.
Here's the links to the files:
xorg.conf - https://gist.github.com/4991622
Xorg.0.log - https://gist.github.com/4991623

Last edited by brenosabino (2013-02-20 00:32:36)

Offline

#4814 2013-02-20 05:12:08

Anon11
Member
Registered: 2012-05-20
Posts: 33

Re: The AMD/ATI Bar & Grill

IVIonty wrote:

Hi guys,
I've a HP G6 2226sl with Radeon HD 7640G/7670M gpu APU A8/GPU muxless system.

With Linux 3.7.6-1, catalyst-dkms 13.1-1 and catalyst-utils 13.1-1 if I select high performance gpu (7670M) with aticonfig --px-dgpu all works fine, but if I switch to powersave gpu (7640G) with aticonfig --px-igpu I got a kernel panic every shutdown/reboot with an error of not syncing. KMS seems to be not related to this, nomodeset doesn't affect the issue. Initial setup made with aticonfig --initial -f command.

Anyone have seen something similar?

PS: I founded a very similar issue there http://forums.opensuse.org/english/get- … river.html even if it's related to an Intel/AMD hybrid system.

yes , we have this issue since 12.9 , currently using 12.8 which works fine. i have 6755g2.

i opened this in their bug tracker
http://ati.cchtml.com/show_bug.cgi?id=645

but it looks like no one from amd ever replies there. Hopefully they atleast look at it

Offline

#4815 2013-02-20 07:59:41

IVIonty
Member
Registered: 2013-02-19
Posts: 23

Re: The AMD/ATI Bar & Grill

Anon11 wrote:

yes , we have this issue since 12.9 , currently using 12.8 which works fine. i have 6755g2.

i opened this in their bug tracker
http://ati.cchtml.com/show_bug.cgi?id=645

but it looks like no one from amd ever replies there. Hopefully they atleast look at it

Thanks for the answer, I'll join the bug tracker.

During some test I noticed that the issue disappear in two cases:

1) deleting /etc/ati/amdpscdb but it's not a true fix as known;

2) editing the xorg.conf, but I'm still verifing if it's a fix or only a temporary solution.


_______________________________________________________________________
- One may not reach the dawn save by the path of the night -
Kahlil Gibran

Offline

#4816 2013-02-20 09:57:03

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,299
Website

Re: The AMD/ATI Bar & Grill

brenosabino wrote:

@brenosabino:
i updated [catalyst-hd234k-12.4], even catalyst package, but please test and install catalyst-hook (or catalyst-generator) instead and if it will work - use it (if it's not working report it to me).
I would rather like not to update such an old repo with every kernel update and catalyst-hook should work with 3.7 and 3.8 kernels just fine.
Edit: As for powerXpress there are catalyst-utils-pxp and lib32-catalyst-utils-pxp inside this repo, those weren't updated for a long time though, should got problems with current libgl... I have no more time today so i will probably update them tomorrow. So please wait peacefully, meanwhile you can read some wiki note about pxp: https://wiki.archlinux.org/index.php/AM … ss_support
Edit2: on the other hand you don't have intel gpu, just the two gpu from amd, it's possible that you don't actually need all this switching between libraries, check out if normal catalyst-utils will work.

catalyst-hook and catalyst-generator give me an error about absent kernel header files in directory "/3.7.8-1-ARCH/build".

This should help:

pacman -S base-devel linux-headers

Dunno why but catalyst-hook sometimes works better than catalyst. Worth to check

brenosabino wrote:

edit: It didn't work sad after using startx it gives me error about no usable screens or something.
Here's the links to the files:
xorg.conf - https://gist.github.com/4991622
Xorg.0.log - https://gist.github.com/4991623

Are you able to disable one of the cards in bios?

Last edited by Vi0L0 (2013-02-20 09:59:11)

Offline

#4817 2013-02-20 12:37:14

Anon11
Member
Registered: 2012-05-20
Posts: 33

Re: The AMD/ATI Bar & Grill

IVIonty wrote:

Thanks for the answer, I'll join the bug tracker.

During some test I noticed that the issue disappear in two cases:

1) deleting /etc/ati/amdpscdb but it's not a true fix as known;

2) editing the xorg.conf, but I'm still verifing if it's a fix or only a temporary solution.

I think the problem is only with using integrated card. It starts failing after some time and not immediately.
Deleting amdpscdb changes to dedicated gfx card by default and so it works until we switch back.

If you find a workaround ( with xorg.conf ) that allows using integrated on 13.1 , please let us know

Offline

#4818 2013-02-20 15:29:39

dk0r
Member
From: USA
Registered: 2012-06-23
Posts: 7

Re: The AMD/ATI Bar & Grill

dk0r wrote:

I'm having trouble getting amdcccle's underscan settings to stay applied after a reboot. I'm running an hd7770 on catalyst-total 13.1-1. I need amdcccle's underscan slider to be set at 0% in order to remove the black borders from my screen. However, every time I reboot, the borders reappear. When I open amdcccle, the slider is still set at 0%. To correct, I must drag the slider away from 0% then back to 0% after each reboot in order to eliminate borders.

I've tried both running amdcccle as kdesudo and using the following commands but none seem to have any effect:

[dk0r@i7-3700 ~]$ sudo aticonfig --set-pcs-val=MCIL,DigitalHDTVDefaultUnderscan,0
No protocol specified
Set key MCIL,DigitalHDTVDefaultUnderscan

.

[dk0r@i7-3700 ~]$ sudo rm /etc/ati/amdpcsdb
[dk0r@i7-3700 ~]$ sudo aticonfig --set-pcs-val=MCIL,DigitalHDTVDefaultUnderscan,0
No protocol specified
Set key MCIL,DigitalHDTVDefaultUnderscan

  Any suggestions?
.

Offline

#4819 2013-02-20 16:27:46

cytrynek
Member
Registered: 2013-02-20
Posts: 4

Re: The AMD/ATI Bar & Grill

Hi! I'm new one.
I have really problem with my graphic card in my laptop.
Laptop have a hybrid inside: ATI Radeon HD 5000M with ATI Radeon HD 4200M.

lspci | grep ATI

01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200 Series]
02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Madison [Radeon HD 5000M Series]

The problem is that so i never seen X on fglrx module. Log from /var/log/Xorg.0.log looks fine but  X not start (from gdm or startx)

I have:

catalyst-hook 13.2-1
catalyst-utils 13.2-1
acpid 2.0.17-4
acpi 1.6-1

Catalyst is from http://catalyst.wirephire.com/repo/catalyst/$arch repository

I was try with: linux-lts, xorg111, xorg112 but no result.

/etc/X11/xorg.conf

Section "ServerLayout"
        Identifier     "aticonfig Layout"
        Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
        Identifier   "aticonfig-Monitor[0]-0"
        Option      "VendorName" "ATI Proprietary Driver"
        Option      "ModelName" "Generic Autodetecting Monitor"
        Option      "DPMS" "true"
EndSection

Section "Device"
        Identifier  "aticonfig-Device[0]-0"
        Driver      "fglrx"
        BusID       "PCI:2:0:0"
        Option      "VendorName" "ATI Graphic Driver"
        Option      "ModelName" "ATI Radeon HD 5000M"
EndSection

Section "Screen"
        Identifier "aticonfig-Screen[0]-0"
        Device     "aticonfig-Device[0]-0"
        Monitor    "aticonfig-Monitor[0]-0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection


dmesg
http://pastebin.com/uCqCsqd7

/var/log/Xorg.0.log
http://pastebin.com/eNRCDa5f

uname -rmo

3.7.9-1-ARCH i686 GNU/Linux

Problem is so information about this card and error i cant find.
Thanks for helping

Last edited by cytrynek (2013-02-20 16:31:47)

Offline

#4820 2013-02-20 21:27:00

IVIonty
Member
Registered: 2013-02-19
Posts: 23

Re: The AMD/ATI Bar & Grill

cytrynek wrote:

Hi! I'm new one.
I have really problem with my graphic card in my laptop.
Laptop have a hybrid inside: ATI Radeon HD 5000M with ATI Radeon HD 4200M.

lspci | grep ATI

01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200 Series]
02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Madison [Radeon HD 5000M Series]

The problem is that so i never seen X on fglrx module. Log from /var/log/Xorg.0.log looks fine but  X not start (from gdm or startx)

I have:

catalyst-hook 13.2-1
catalyst-utils 13.2-1
acpid 2.0.17-4
acpi 1.6-1

Hi,
I think the problem is the HD 4200 together with the HD 5000, cause the two cards must use two different catalyst driver versions.

Quoting from Catalyst Arch Wiki (https://wiki.archlinux.org/index.php/AMD_Catalyst):

Installing from the unofficial repository
If you need packages that currently aren't hosted by the official repository and don't fancy building the packages from the AUR, this is the way to go. The repository is maintained by our unofficial Catalyst maintainer, Vi0L0. All packages are signed and I consider them safe to use. As you will see later on in this article, Vi0L0 is also responsible for many other packages that will help you get your system working with your ATI graphic cards.
Vi0L0 has three different Catalyst repositories, each having different drivers:
[catalyst]; for the regular Catalyst driver needed by Radeon HD 5xxx and up, it contains the latest (stable or beta) Catalyst release;
[catalyst-stable]; for the regular Catalyst driver needed by Radeon HD 5xxx and up, with the latest stable driver;

[catalyst-hd234k]; for the legacy Catalyst driver needed by Radeon HD 2xxx, 3xxx and 4xxx cards.
Warning: The Legacy driver does not support Xorg 1.13 for now. Support should be added by AMD in a century or two, but this could be sooner. Should you want to use this driver, see #Xorg repositories for instructions on how to roll back to or hold back Xorg 1.12.

So HD 5000 need catalyst-stable, HD 4000 needs catalyst legacy hd234k and Xorg older then 1.13.
I think you need to install Xorg 1.12 + catalyst-hd234k in order to use your cards without problems.


_______________________________________________________________________
- One may not reach the dawn save by the path of the night -
Kahlil Gibran

Offline

#4821 2013-02-20 21:56:49

IVIonty
Member
Registered: 2013-02-19
Posts: 23

Re: The AMD/ATI Bar & Grill

Anon11 wrote:
IVIonty wrote:

Thanks for the answer, I'll join the bug tracker.

During some test I noticed that the issue disappear in two cases:

1) deleting /etc/ati/amdpscdb but it's not a true fix as known;

2) editing the xorg.conf, but I'm still verifing if it's a fix or only a temporary solution.

I think the problem is only with using integrated card. It starts failing after some time and not immediately.
Deleting amdpscdb changes to dedicated gfx card by default and so it works until we switch back.

If you find a workaround ( with xorg.conf ) that allows using integrated on 13.1 , please let us know

I tested the Xorg.conf for a day and seems that it fixed the kernel panic until now.
I share the modification and I hope it lasts. It's an ugly workaround according to me, but works:

I don't know X server behaviour very well, so probably I'm totally wrong, but I hypothesize that kernel panic with igpu active is caused by the system that isn't able to successfully unload fglrx module at shutdown/reboot. This error in unloading fglrx may be caused by the lacking of description of powersave gpu in Xorg. In fact with aticonfig --initial xorg.conf is configured for the first gpu ready, that is always the discrete gpu.

So I imagine the APU/GPU system as a multi-head system, but with two gpu and only a Xorg screen/monitor active from time to time.

I deleted Xorg.conf and created a new one with:

# aticonfig -f --initial --adapter=all

So aticonfig created two module sections for each gpu with fglrx as dedicated kernel module.
But with the default screen layout the system is unusable.
Then I tryed out some layout to manage the screen/monitor for each gpu, trying with one screen shared, two separated screens for each and so on. I found the following the most suitable ServerLayout section:

Section "ServerLayout"
	Identifier     "aticonfig Layout"
	Screen      0  "aticonfig-Screen[0]-0" 0 0
	Screen         "aticonfig-Screen[1]-0" Relative "aticonfig-Screen[0]-0" x y
EndSection

Where x and y must be the width and height of the monitor resolution (1024 and 768, 1366 and 768, 1920 and 1080, and so on).

After a X restart and

# aticonfig --px-igpu

to switch to powersave gpu the system seems to work properly.


_______________________________________________________________________
- One may not reach the dawn save by the path of the night -
Kahlil Gibran

Offline

#4822 2013-02-21 09:50:36

andmars
Member
Registered: 2012-03-13
Posts: 153

Re: The AMD/ATI Bar & Grill

I just updated to linux kernel 3.8 from [testing] and building catalyst from AUR afterwards couldn't have been smoother.
Thanks Vi0l0 for maintaining and patching all the catalyst packages :-)

Offline

#4823 2013-02-21 12:06:24

cytrynek
Member
Registered: 2013-02-20
Posts: 4

Re: The AMD/ATI Bar & Grill

IVIonty wrote:

So HD 5000 need catalyst-stable, HD 4000 needs catalyst legacy hd234k and Xorg older then 1.13.
I think you need to install Xorg 1.12 + catalyst-hd234k in order to use your cards without problems.

Still not working. I installed catalyst-hd234k (I don't know why beacuse i want run Radeon HD 5000) and Xorg 1.12 and its not working.
When i installed catalyst-utils and catalsyst-hook with Xorg 1.13 i log looks good but GDM don start ...

Can you help me?

Offline

#4824 2013-02-21 12:11:40

Ztjuh
Member
Registered: 2011-05-30
Posts: 40

Re: The AMD/ATI Bar & Grill

cytrynek wrote:
IVIonty wrote:

So HD 5000 need catalyst-stable, HD 4000 needs catalyst legacy hd234k and Xorg older then 1.13.
I think you need to install Xorg 1.12 + catalyst-hd234k in order to use your cards without problems.

Still not working. I installed catalyst-hd234k (I don't know why beacuse i want run Radeon HD 5000) and Xorg 1.12 and its not working.
When i installed catalyst-utils and catalsyst-hook with Xorg 1.13 i log looks good but GDM don start ...

Can you help me?

catalyst-hd234k doesn't work with Xorg 1.13 and your card (it's for HD 2000 3000 4000 series), you must install catalyst-stable & catalyst-utils. Then "aticonfig --initial" for your xorg.conf. Now you should be okay with Catalyst and Xorg 1.13, if I'm not wrong.

[catalyst-stable]
Server = http://catalyst.wirephire.com/repo/catalyst/$arch

Last edited by Ztjuh (2013-02-21 12:14:59)

Offline

#4825 2013-02-21 12:12:10

kaszak696
Member
Registered: 2009-05-26
Posts: 543

Re: The AMD/ATI Bar & Grill

cytrynek wrote:

I installed catalyst-hd234k (I don't know why

I don't even...

Last edited by kaszak696 (2013-02-21 12:12:34)


'What can be asserted without evidence can also be dismissed without evidence.' - Christopher Hitchens
'There's no such thing as addiction, there's only things that you enjoy doing more than life.' - Doug Stanhope
GitHub Junkyard

Offline

Board footer

Powered by FluxBB